cURL
curl --request POST \ --url https://service.bluumfinance.com/v1/webhooks \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "eventTypeNames": [ "<string>" ], "name": "<string>", "url": "<string>", "description": "<string>" } '
{ "status": "success", "message": "<string>", "data": { "webhook": { "eventTypes": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "category": "<string>", "description": "<string>", "displayName": "<string>" } ], "name": "<string>", "url": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "description": "<string>", "status": "ACTIVE", "secret": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } } }
Creates a new webhook subscription.
HTTP Basic Authentication using the API Key as username and API Secret as password.
Array of webhook event type names (at least one required)
Human-readable name for the webhook
Webhook URL endpoint
Optional description for the webhook
Webhook created successfully
"success"
Show child attributes